SegmentPerPolyline Пример

Sub Example_SegmentPerPolyline()
    'Этот пример возвращает текущую установку SegmentPerPolyline. 
    'Затем изменяет значение и наконец сбрасывает значение назад к оригинальной установке.
    
    Dim currSegmentPerPolyline As Integer
    Dim newSegmentPerPolyline As Integer
    
    'Получите текущее значение SegmentPerPolyline
    currSegmentPerPolyline = ThisDrawing.preferences.SegmentPerPolyline
    MsgBox "Текущее значение для SegmentPerPolyline " & currSegmentPerPolyline, vbInformation, "SegmentPerPolyline Пример"
    
    'Измените значение для SegmentPerPolyline
    newSegmentPerPolyline = 2001
    ThisDrawing.preferences.SegmentPerPolyline = newSegmentPerPolyline
    MsgBox "Новое значение для SegmentPerPolyline " & newSegmentPerPolyline, vbInformation, "SegmentPerPolyline Пример"
    
    'Сбросьте SegmentPerPolyline к его оригинальному значению
    ThisDrawing.preferences.SegmentPerPolyline = currSegmentPerPolyline
    MsgBox "Значение SegmentPerPolyline сброшено к " & currSegmentPerPolyline, vbInformation, "SegmentPerPolyline Пример"
End Sub
Сайт управляется системой uCoz